title)
Status: Closed

Priority: Normal

Assignee:

Category: Web Services clients/WCS

Affected QGIS version:master Regression?: Yes

Operating System: Debian Testing Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 24434

Description

In current master(bfb62c4be9), I cannot add a new WCS service, while I can do that in 2.14 or 2.18

1) click button 'Add WCS Layer'

2) in dialog click button New

3) give title: RIVM

4) give url: http://geodata.rivm.nl/geoserver/wcs

5) click OK

6) the connection is not visible in the dropdown

I tried this both with my current .qgis2 config and a fresh one via 'qgis --configpath /tmp/foo'

I do not see any indication of misbehaving in debug info or messages

Associated revisions

Revision 20a54b1c - 2017-08-13 02:37 PM - Richard Duivenvoorde

Fix #16528 mix of Qgis en qgis as root in settins

On Linux the use of Qgis and qgis as root for connection settings

makes it currently impossible to add a new WCS connection

Fixes #16528

History

#1 - 2017-05-08 01:57 PM - Giovanni Manghi

- Status changed from Open to Feedback

Works here on Windows/osgeo4w.

#2 - 2017-05-09 01:50 PM - Richard Duivenvoorde

- File wcs.png added

Further checking: if I create a new connection in Browser panel, at least it shows up (see attachment).
BUT look at the 'Dialog title': it says: "Create a new CS/ Connection"  ?

And THEN at least THAT connection shows up in the WCS dialog... 

Though if I edit it, the URL appears emtpy...

Trying to add a new one does not work though.

Adding the RIVM one from the opening description works (in the browser!), and then shows up then in the Dialog too. But adding a new one in the browser

just does not work.

Will try tomorrow at a client on Windows

#3 - 2017-05-09 01:50 PM - Richard Duivenvoorde

- Subject changed from Adding a WCS service does not show up in service dropdown to Adding a WCS service does not show up in service dropdown, 

works in browser (strange Dialog title)

#4 - 2017-05-10 08:48 AM - Richard Duivenvoorde

Confirmed here: on Windows OK, will try to find another Linux machine to test.

#5 - 2017-05-10 09:22 AM - Raymond Nijssen

Same problem here, on linux as well.

But when I repeat adding this same WCS server, I get the message "Should the existing connection rivm be overwritten?" so there seems to be something

saved. Listbox stays empty though.

#6 - 2017-05-18 11:52 AM - Richard Duivenvoorde

trying to fix: https://github.com/qgis/QGIS/pull/4586

#7 - 2017-08-13 02:36 PM - Richard Duivenvoorde

- % Done changed from 0 to 100

- Status changed from Feedback to Closed

Applied in changeset commit:qgis|20a54b1cf4f7c01791baf8f04a9fe14b4d427047.
